Community
cancel
Showing results for 
Search instead for 
Did you mean: 
techtalk
Beginner
93 Views

PerfAnl: Feature has expired : PTU

My issue was being discussed on the forum below. Didnt get a complete resolution.

http://software.intel.com/en-us/forums/showthread.php?t=68052

I downloaded Performance Tuning Utility 3.2 (PTU) for linux. All I had to do was to unzip it, inorder to install it. It requires VTUNE license to run.

I registered at http://softwareproducts.intel.com to get a VTUNE license, which I got in the email as a license file and is valid till Sep 1 2011. I just got the license and havent downloaded / installed VTUNE (as it is not required for running PTU)

When I try to run the "vtssrun" application in PTU I get the following licenseing errors.



PerfAnl: Feature has expired
Feature: PerfAnl
License path: /opt/intel/licenses/COM_L_VT__.lic://intel -
/licenses:/ptu32_001_lin_ia32/bin/COM_L_VT__.lic
FLEXlm error: -10,253
For further information, refer to the FLEXlm End User Manual,
available at "www.macrovision.com".

It would be great if I can get some pointers.
0 Kudos
1 Reply
robert-reed
Valued Contributor II
93 Views

Quoting - techtalk
My issue was being discussed on the forum below. Didnt get a complete resolution.

http://software.intel.com/en-us/forums/showthread.php?t=68052

I downloaded Performance Tuning Utility 3.2 (PTU) for linux. All I had to do was to unzip it, inorder to install it. It requires VTUNE license to run.

I registered at http://softwareproducts.intel.com to get a VTUNE license, which I got in the email as a license file and is valid till Sep 1 2011. I just got the license and havent downloaded / installed VTUNE (as it is not required for running PTU)

When I try to run the "vtssrun" application in PTU I get the following licenseing errors.

PerfAnl: Feature has expired
Feature: PerfAnl
License path: /opt/intel/licenses/COM_L_VT__.lic://intel -
/licenses:/ptu32_001_lin_ia32/bin/COM_L_VT__.lic
FLEXlm error: -10,253

Hmmm. The -10 in the error code is the correct code for "Feature has expired." It seems on the system this report came from that there might be some junk where there's supposed to be a license file. Just as a sanity check, you did copy the license file by name to /opt/intel/licenses on the machine on which you're trying to runvtssrun? And you verified that the character sequence you show above as matches the characters in the license file you copied to your machine (which I presume is the "embedded" machine mentioned in the other thread)? And in fact the contents of that file on the machine on which you want to collect data match the contents of the file as received in your e-mail query? And you did check date on the machine you're running vtssrun upon to be sure it matches the range of your license? Finally, what is the path to thebin directory from which you're running vtssrun?

Reply